Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Interface GrailsBootstrapClass

All Superinterfaces:
  GrailsClass

All Known Implementing Classes:
  DefaultGrailsBootstrapClass

    public interface GrailsBootstrapClass

extends GrailsClass

A BootStrap class is a class that is loaded and executed on application load

Since:
  Jul 5, 2005
Author:
  Graeme Rocher

Method Summary
`void` | `callDestroy()` Calls the destroy closure if one exists
`void` | `callInit(ServletContext servletContext)` Calls the init closure if one exists
`groovy.lang.Closure` | `getDestroyClosure()` Returns the destroy closure which is called on application exit
`groovy.lang.Closure` | `getInitClosure()` Returns the init closure which is called on application load

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, newInstance`

Method Detail

### callInit

    void callInit(ServletContext servletContext)

  Calls the init closure if one exists

### callDestroy

    void callDestroy()

  Calls the destroy closure if one exists

### getInitClosure

    groovy.lang.Closure getInitClosure()

  Returns the init closure which is called on application load

  Returns:
    A Closure instance

### getDestroyClosure

    groovy.lang.Closure getDestroyClosure()

  Returns the destroy closure which is called on application exit

  Returns:
    A Closure instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project